(function($) {
    $(function() {
        // adjust header logo and other elements
        var $logo = $('#logo');
        var $header = $('#header');
        var $header_p = $header.find('p');
        var $logo_img = $logo.find('img');
        if($logo_img.length) {
            $header_p.css('position', 'absolute').css('top', 0).css('right', '20px').css('margin', 0).css('padding-top', 0);
            var img = new Image();
            img.src = $logo_img.attr('src');
            img.onload = function(){
                var new_top = ($logo.outerHeight() - $header_p.outerHeight()) / 2;
                if(new_top > 0) {
                    $header_p.css('top', new_top + 'px');
                }
                delete img;
            };
            if($header.hasClass('header_box_hide_all') || $header.hasClass('header_box_hide')) {
                $('#noheader').css('display', 'none');
            }
            if($header.hasClass('header_box_show')) {
                $header.find('h1').css('padding-top', '10px');
                $header.find('h2').css('padding-bottom', '30px');
            }
        } else {
            if($header.hasClass('header_box_hide')) {
                $header_p.css('padding-top', '20px').css('padding-bottom', '10px');
            }
        }
    });
})(jQuery);